POST api/Groups_v2/AddUserExtraData
Request Information
URI Parameters
None.
Body Parameters
AccoutExtraData| Name | Description | Type | Additional information |
|---|---|---|---|
| groupId | integer |
Required Range: inclusive between 1 and 2147483647 |
|
| accountId | integer |
Required Range: inclusive between 1 and 2147483647 |
|
| fullName | string |
Required |
|
| string |
Required Data type: EmailAddress |
||
| Country | string |
Required |
|
| mobile | string |
Required String length: inclusive between 0 and 20 |
|
| weight | decimal number |
None. |
|
| height | decimal number |
None. |
Request Formats
application/json, text/json
Sample:
{
"groupId": 1,
"accountId": 2,
"fullName": "sample string 3",
"email": "sample string 4",
"Country": "sample string 5",
"mobile": "sample string 6",
"weight": 1.1,
"height": 1.1
}
text/plain, application/octet-stream
Sample:
{"groupId":1,"accountId":2,"fullName":"sample string 3","email":"sample string 4","Country":"sample string 5","mobile":"sample string 6","weight":1.1,"height":1.1}
application/xml, text/xml
Sample:
<AccoutExtraData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <Country>sample string 5</Country> <accountId>2</accountId> <email>sample string 4</email> <fullName>sample string 3</fullName> <groupId>1</groupId> <height>1.1</height> <mobile>sample string 6</mobile> <weight>1.1</weight> </AccoutExtraData>
multipart/form-data, application/form-data
Sample:
<AccoutExtraData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><Country>sample string 5</Country><accountId>2</accountId><email>sample string 4</email><fullName>sample string 3</fullName><groupId>1</groupId><height>1.1</height><mobile>sample string 6</mobile><weight>1.1</weight></AccoutExtraData>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.